## org.eclipse.ocl.types
Interface ElementType

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  ElementType, ElementType

All Known Implementing Classes:
  ElementTypeImpl, ElementTypeImpl, ElementTypeImpl

    public interface ElementType

extends EObject

A representation of the model object 'Element Type'.

See Also:
  `TypesPackage.getElementType()`

Field Summary
`static String` `SINGLETON_NAME`

Method Summary

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### SINGLETON_NAME

    static final String SINGLETON_NAME

See Also:
  Constant Field Values

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.